% karmantrefftzangled2
%
% Calculate the second derivativ of the karman trefftz mapping using 
% position angle value theta, circle center my, mapping coefficient n
function z=karmantrefftzangled2(theta,my,n)
s=sqrt((1-real(my))^2+imag(my)^2).*exp(1i*theta)+my;
t1=(1+1./s).^n;
t2=(1-1./s).^n;
z=-(8.*n.^2.*t1.*t2.*(n*(t1+t2) + s.*(t2-t1)))./((t2-t1).^3.*(s.^2-1).^2);