% karmantrefftzd2
%
% Calculate the second derivative of the karman trefftz mapping (d2z/ds2)
function z=karmantrefftzd2(s,n)
t1=(1+1./s).^n;
t2=(1-1./s).^n;
z=-(8.*n.^2.*t1.*t2.*(n*(t1+t2) + s.*(t2-t1)))./((t2-t1).^3.*(s.^2-1).^2);