% karmantrefftzd3
%
% Calculate the third derivative of the karman trefftz mapping (d3z/ds3)
function z=karmantrefftzd3(s,n)
t1=(1+1./s).^n;
t2=(1-1./s).^n;
z=(8.*n.^2.*t1.*t2.*((1+2*n.^2+3*s.^2).*(t1.^2+t2.^2)+(-2+8*n.^2-6*s.^2).*t1.*t2-6*n.*s.*(t1.^2-t2.^2)))./((t2-t1).^4.*(s.^2-1).^3);