% plotall.m Runs for the paper "A General high order two-
% dimensional panel method".
%
% Plots all simulations presented in the paper (and a few more).
% runall() has to be called before plotall()
function plotall()
unitcircleconvergence_plot('./examples/generalpanel/data/unitcircledata.mat')
karmantrefftzconvergence_plot('./examples/generalpanel/data/karmantrefftzdata_1.93.mat');
karmantrefftzconvergence_plot('./examples/generalpanel/data/karmantrefftzdata_1.97.mat');
karmantrefftzconvergencecpsc_plot('./examples/generalpanel/data/karmantrefftz_cpsc_1.93.mat');
karmantrefftzconvergencecpsc_plot('./examples/generalpanel/data/karmantrefftz_cpsc_1.97.mat');
evaltimenearfield_plot;
evaltimefarfield_plot;
%evaltimefarfielddirect_plot; %uncomment if you uncommented it in the run script