/* mexgeneralpanel.h -- Property/value inputs for handling general panels. */

/* A. Goude 2014-08-11 */

#ifndef __mexgeneralpanel_h
#define __mexgeneralpanel_h

#include "mex.h"

typedef int (*getgeneralpanelvalFun)(void *,const mxArray *,int,int);

void getSOURCEPANEL(void *panels_,const mxArray *rhs);
void getTARGETPANEL(void *panels_,const mxArray *rhs);

//
int getgeneralpanelprop(const char *str);
int getSLOPECORRECTION(void *panels_,const mxArray *rhs,int j,int maxsize);
int getNORMALIZED(void *panels_,const mxArray *rhs,int j,int maxsize);
int getSHIFTED(void *panels_,const mxArray *rhs,int j,int maxsize);
int getOUTSIDE(void *outside_,const mxArray *rhs,int j,int maxsize);
int getPOLYSHAPE(void *panels_,const mxArray *rhs,int j,int maxsize);
int getLINSHAPE(void *panels_,const mxArray *rhs,int j,int maxsize);
int getCUBSHAPE(void *panels_,const mxArray *rhs,int j,int maxsize);
int getQUINTSHAPE(void *panels_,const mxArray *rhs,int j,int maxsize);
int getSEPTSHAPE(void *panels_,const mxArray *rhs,int j,int maxsize);
int getPOLYSTRENGTH(void *panels_,const mxArray *rhs,int j,int maxsize);
int getLINSTRENGTH(void *panels_,const mxArray *rhs,int j,int maxsize);
int getCUBSTRENGTH(void *panels_,const mxArray *rhs,int j,int maxsize);
int getQUINTSTRENGTH(void *panels_,const mxArray *rhs,int j,int maxsize);
int getSEPTSTRENGTH(void *panels_,const mxArray *rhs,int j,int maxsize);


#endif /* __mexgeneralpanel_h */



