% evaltimenearfielddirect_plotsPlots for the paper "A General high order two-
% dimensional panel method".

load examples/generalpanel/data/generalpanelfarfielddirect.mat
plotparams={'LineWidth',0.75};
line1='-b';
line2='-.b';
line3='--b';
line4=':b';
line5='-k';
line6='-.k';
line7='--k';
line8=':k';
line9='-g';
line10='-.g';
line11='--g';
line12=':g';

%calculate averages for each number of points
ltime=AFMMgpu_post_process(lintimedirect(:,:,2),1,0);
ctime=AFMMgpu_post_process(cubtimedirect(:,:,2),1,0);
qtime=AFMMgpu_post_process(quinttimedirect(:,:,2),1,0);
stime=AFMMgpu_post_process(septtimedirect(:,:,2),1,0);
lctime=AFMMgpu_post_process(lincubtimedirect(:,:,2),1,0);
cctime=AFMMgpu_post_process(cubcubtimedirect(:,:,2),1,0);
qctime=AFMMgpu_post_process(quintcubtimedirect(:,:,2),1,0);
sctime=AFMMgpu_post_process(septcubtimedirect(:,:,2),1,0);
lqtime=AFMMgpu_post_process(linquinttimedirect(:,:,2),1,0);
cqtime=AFMMgpu_post_process(cubquinttimedirect(:,:,2),1,0);
qqtime=AFMMgpu_post_process(quintquinttimedirect(:,:,2),1,0);
sqtime=AFMMgpu_post_process(septquinttimedirect(:,:,2),1,0);

% production quality figure:
figure
plot(paneleval,lctime,line5,plotparams{:});
hold on;
plot(paneleval,cctime,line6,plotparams{:});
plot(paneleval,qctime,line7,plotparams{:});
plot(paneleval,sctime,line8,plotparams{:});
h = xlabel('Number of panels','FontSize',10);
h = ylabel('Time (s)','FontSize',10);
h = legend('M=1','M=2','M=4','M=6');
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 380 200]);