% evaltimenearfield_plots Plots for the paper "A General high order two-
% dimensional panel method".

load examples/generalpanel/data/generalpanelnearfield
plotparams={'LineWidth',0.75};
line1='-k';
line2='--k';
line3='-.k';
line4='-b';
line5='--b';
line6='-.b';
line7='.-b';

%calculate averages for each number of points
nearfieldtime=AFMMgpu_post_process(time(:,:,:,2),2,0);


% production quality figure:
figure
plot(0:strN,nearfieldtime(1,:),line1,plotparams{:});
hold on;
plot(0:strN,nearfieldtime(2,:),line2,plotparams{:});
plot(0:strN,nearfieldtime(3,:),line3,plotparams{:});
plot(0:strN,nearfieldtime(4,:),line4,plotparams{:});
plot(0:strN,nearfieldtime(5,:),line5,plotparams{:});
plot(0:strN,nearfieldtime(6,:),line6,plotparams{:});
plot(0:strN,nearfieldtime(7,:),line7,plotparams{:});
h = xlabel('N_{shape}','FontSize',10);
h = ylabel('Time (s)','FontSize',10);
h = legend('M=1','M=2','M=3','M=4','M=5','M=6','M=7','Location','SE'); set(h,'FontSize',10);

set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 380 200]);