% karmantrefftzangled3
% 
% Calculate the third derivativ of the karman trefftz mapping using 
% position angle value theta, circle center my, mapping coefficient n
function z=karmantrefftzangled3(theta,my,n)
s=sqrt((1-real(my))^2+imag(my)^2).*exp(1i*theta)+my;
t1=(1+1./s).^n;
t2=(1-1./s).^n;
z=(8.*n.^2.*t1.*t2.*((1+2*n.^2+3*s.^2).*(t1.^2+t2.^2)+(-2+8*n.^2-6*s.^2).*t1.*t2-6*n.*s.*(t1.^2-t2.^2)))./((t2-t1).^4.*(s.^2-1).^3);
