% runall.m Runs for the paper "A General high order two-
% dimensional panel method".
%
% Runs all simulations presented in the paper (and a few more)
function runall()
unitcircleconvergence_run(0,0,0,1,'./examples/generalpanel/data/unitcircledata.mat')
karmantrefftzconvergence_run(-0.09+0.09i,1.93,0,0,1,1,1,'./examples/generalpanel/data/karmantrefftzdata_1.93.mat');
karmantrefftzconvergence_run(-0.06+0.06i,1.97,0,0,1,1,1,'./examples/generalpanel/data/karmantrefftzdata_1.97.mat');
karmantrefftzconvergencecpsc_run(-0.09+0.09i,1.93,1,1,1,'./examples/generalpanel/data/karmantrefftz_cpsc_1.93.mat');
karmantrefftzconvergencecpsc_run(-0.06+0.06i,1.97,1,1,1,'./examples/generalpanel/data/karmantrefftz_cpsc_1.97.mat');
evaltimenearfield_run(7,30,100,1000,100);
evaltimefarfield_run(100,100000,0,0,0,1);
% evaltimefarfielddirect_run(100,100000,0,0,0,1); % This one takes a very long time to run. 